OpenTTD Source: src/autoreplace_gui.h File Reference

OpenTTD Source 14.0-beta1

Functions
autoreplace_gui.h File Reference
`#include "engine_type.h"`
`#include "group_type.h"`
`#include "vehicle_type.h"`

Go to the source code of this file.

## Functions
void | AddRemoveEngineFromAutoreplaceAndBuildWindows (VehicleType type)
| When an engine is made buildable or is removed from being buildable, add/remove it from the build/autoreplace lists. More...
void | InvalidateAutoreplaceWindow (EngineID e, GroupID id_g)
| Rebuild the left autoreplace list if an engine is removed or added. More...
void | ShowReplaceGroupVehicleWindow (GroupID group, VehicleType veh)
| Show the autoreplace configuration window for a particular group. More...

## Detailed Description

Functions related to the autoreplace GUIs

Definition in file autoreplace_gui.h.

## Function Documentation

## ◆ AddRemoveEngineFromAutoreplaceAndBuildWindows()

void AddRemoveEngineFromAutoreplaceAndBuildWindows | ( | VehicleType | type | ) |

When an engine is made buildable or is removed from being buildable, add/remove it from the build/autoreplace lists.

Parameters

  type | The type of engine

Definition at line 66 of file autoreplace_gui.cpp.

References InvalidateWindowClassesData(), InvalidateWindowData(), WC_BUILD_VEHICLE, and WC_REPLACE_VEHICLE.

Referenced by CalcEngineReliability(), CmdSetVehicleVisibility(), DisableEngineForCompany(), EnableEngineForCompany(), and NewVehicleAvailable().

## ◆ InvalidateAutoreplaceWindow()

void InvalidateAutoreplaceWindow | ( | EngineID | e,
|  | GroupID | id_g
| ) |  |

Rebuild the left autoreplace list if an engine is removed or added.

Parameters

  e | Engine to check if it is removed or added
  id_g | The group the engine belongs to Note: this function only works if it is called either when a new vehicle is build, but before it's counted in num_engines when a vehicle is deleted and after it's subtracted from num_engines when not changing the count (used when changing replace orders)

Definition at line 52 of file autoreplace_gui.cpp.

References _local_company, ALL_GROUP, Pool< Titem, Tindex, Tgrowth_step, Tmax_size, Tpool_type, Tcache, Tzero >::PoolItem<&_engine_pool >::Get(), GetGroupNumEngines(), InvalidateWindowData(), and WC_REPLACE_VEHICLE.

## ◆ ShowReplaceGroupVehicleWindow()

void ShowReplaceGroupVehicleWindow | ( | GroupID | id_g,
|  | VehicleType | vehicletype
| ) |  |

Show the autoreplace configuration window for a particular group.

Parameters

  id_g | The group to replace the vehicles for.
  vehicletype | The type of vehicles in the group.

Definition at line 916 of file autoreplace_gui.cpp.

References CloseWindowById(), VEH_TRAIN, and WC_REPLACE_VEHICLE.